Grid

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Grid

## Functions
Evas_Object * | elm_grid_add (Evas_Object *parent)
| Add a new grid to the parent. More...
void | elm_grid_pack_set (Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Set packing of an existing child at to position and size. More...
void | elm_grid_pack_get (Evas_Object *subobj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get packing of a child. More...

## Detailed Description

The grid is a grid layout widget that lays out a series of children as a fixed "grid" of widgets using a given percentage of the grid width and height each using the child object.

The Grid uses a "Virtual resolution" that is stretched to fill the grid widgets size itself. The default is 100 x 100, so that means the position and sizes of children will effectively be percentages (0 to 100) of the width or height of the grid widget

## Function Documentation

Evas_Object* elm_grid_add | ( | Evas_Object * | parent | ) |

Add a new grid to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_grid_pack_get | ( | Evas_Object * | subobj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get packing of a child.

Parameters

  subobj | The child to query
  x | Pointer to integer to store the virtual x coord
  y | Pointer to integer to store the virtual y coord
  w | Pointer to integer to store the virtual width
  h | Pointer to integer to store the virtual height

void elm_grid_pack_set | ( | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set packing of an existing child at to position and size.

Parameters

  subobj | The child to set packing of
  x | The virtual x coord at which to pack it
  y | The virtual y coord at which to pack it
  w | The virtual width at which to pack it
  h | The virtual height at which to pack it